%define builddir $RPM_BUILD_DIR/%{name}

Summary: A network security tool.
Name: strobe
Version: 1.04
Release: 8
Group: Applications/Internet
Copyright: GPL
Source: ftp://suburbia.net/pub/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-3-fix.patch.bz2
Patch1: %{name}-%{version}-3-makefile.patch.bz2
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Strobe is a network security tool that locates and describes what is
happening on all of the listening TCP ports on a remote host or on
many hosts in a bandwidth utilization maximizing and process resource
minimizing manner.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .mike
%patch1 -p1 -b .mike2

%build
make "FLAGS=$RPM_OPT_FLAGS"

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/misc}
cp %{builddir}/strobe $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1 
cp %{builddir}/strobe.1 $RPM_BUILD_ROOT/usr/share/man/man1/
cp %{builddir}/strobe.services $RPM_BUILD_ROOT/usr/share/misc
strip $RPM_BUILD_ROOT/usr/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT CREDITS VERSION POST HISTORY
%attr(755,root,root) /usr/bin/strobe
%attr(644,root,root) %config /usr/share/misc/strobe.services
%attr(644,root,root) /usr/share/man/*/*

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- man pages in /usr/share/man
* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- built for 6.1

* Mon Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
